SMBTA-UTIL(8)

NAME
smbta-util - control encryption in VFS smb_traffic_analyzer

SYNOPSIS

smbta-util

smbta-util [OPTIONS...]

DESCRIPTION

This tool is part of the samba(7) suite.

smbta-util is a tool to ease the configuration of the vfs_smb_traffic_analyzer module regarding data encryption.

The user can generate a key, install a key (activating encryption), or uninstall a key (deactivating encryption). Any operation that installs a key will create a File containing the key. This file can be used by smbta-tool on other machines to install the same key from the file.

OPTIONS

-h
    Show a short help text on the command line.

-f KEYFILE
    Open an existing keyfile, read the key from the file, and install the key, activating encryption.

-g KEYFILE
    Generate a new random key, install the key, activate encryption, and store the key into the file KEYFILE.

-u
    Uninstall the key, deactivating encryption.

-s
    Check if a key is installed.

-c KEYFILE
    Create a KEYFILE from an installed key.

VERSION

This man page is correct for version 3.6 of the Samba suite.

AUTHOR

The original version of smbta-util was created by Holger Hetterich.

The original Samba software and related utilities were created by Andrew Tridgell. Samba is now developed by the Samba Team as an Open Source project similar to the way the Linux kernel is developed.